| Qore astparser Module 1.14.0

Loading...
Searching...
No Matches
Variables
AST Symbol Kind Constants

## Variables
const | astparser::ASYK_Array = ASYK_Array
| Symbol kind constant for arrays.
const | astparser::ASYK_Boolean = ASYK_Boolean
| Symbol kind constant for booleans.
const | astparser::ASYK_Class = ASYK_Class
| Symbol kind constant for classes.
const | astparser::ASYK_Constant = ASYK_Constant
| Symbol kind constant for constants.
const | astparser::ASYK_Constructor = ASYK_Constructor
| Symbol kind constant for constructor.
const | astparser::ASYK_Enum = ASYK_Enum
| Symbol kind constant for enums.
const | astparser::ASYK_Field = ASYK_Field
| Symbol kind constant for field (used for hash members in Qore context).
const | astparser::ASYK_File = ASYK_File
| Symbol kind constant for files.
const | astparser::ASYK_Function = ASYK_Function
| Symbol kind constant for functions.
const | astparser::ASYK_Interface = ASYK_Interface
| Symbol kind constant for interface (used for hashdecls in Qore context).
const | astparser::ASYK_Method = ASYK_Method
| Symbol kind constant for class methods.
const | astparser::ASYK_Module = ASYK_Module
| Symbol kind constant for modules.
const | astparser::ASYK_Namespace = ASYK_Namespace
| Symbol kind constant for namespaces.
const | astparser::ASYK_None = ASYK_None
| None/null symbol kind (default).
const | astparser::ASYK_Number = ASYK_Number
| Symbol kind constant for numbers.
const | astparser::ASYK_Package = ASYK_Package
| Symbol kind constant for packages.
const | astparser::ASYK_Property = ASYK_Property
| Symbol kind constant for properties.
const | astparser::ASYK_String = ASYK_String
| Symbol kind constant for strings.
const | astparser::ASYK_Variable = ASYK_Variable
| Symbol kind constant for variables.

## Detailed Description